Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class Status

    java.lang.Object
      org.hibernate.engine.Status

All Implemented Interfaces:
  Serializable

    public final class Status

extends Object
implements Serializable

Represents the status of an entity with respect to this session. These statuses are for internal book-keeping only and are not intended to represent any notion that is visible to the _application_.

See Also:
  Serialized Form

Field Summary
`static Status` | `DELETED`
`static Status` | `GONE`
`static Status` | `LOADING`
`static Status` | `MANAGED`
`static Status` | `READ_ONLY`
`static Status` | `SAVING`

Method Summary
`static Status` | `parse(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MANAGED

    public static final Status MANAGED

### READ_ONLY

    public static final Status READ_ONLY

### DELETED

    public static final Status DELETED

### GONE

    public static final Status GONE

### LOADING

    public static final Status LOADING

### SAVING

    public static final Status SAVING

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### parse

    public static Status parse(String name)
                        throws InvalidObjectException

  Throws:
    `InvalidObjectException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.